NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SectionSurfaceBuilderEx Class Reference

Represents a NXOpen::Features::SectionSurface builder. More...

Inheritance diagram for NXOpen::Features::SectionSurfaceBuilderEx:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  BodyType { BodyTypeSolid, BodyTypeSheet }
 Body Preference type. More...
 
enum  CircularType {
  CircularTypeThreePoint, CircularTypeTwoPointRadius, CircularTypeTwoPointSlope, CircularTypeRadiusAngleArc,
  CircularTypeTangentpointTangent, CircularTypeCenterRadius, CircularTypeCenterPoint, CircularTypeCenterTangent,
  CircularTypeTangentRadius, CircularTypeTangentTangentRadius
}
 This enum represents the current modes of circular type section surfaces. More...
 
enum  ConicType {
  ConicTypeShoulder, ConicTypeRho, ConicTypeHilite, ConicTypeFourPointSlope,
  ConicTypeFivePoint
}
 This enum represents the current modes of conic type section surfaces. More...
 
enum  ControlRegionType { ControlRegionTypeEntire, ControlRegionTypeStart, ControlRegionTypeEnd }
 Control Region type. More...
 
enum  CubicType { CubicTypeTwoSlopes, CubicTypeFilletBridge }
 This enum represents the current modes of cubic type section surfaces. More...
 
enum  LinearType { LinearTypePointAngle, LinearTypeTangentTangent }
 This enum represents the current modes of linear type section surfaces. More...
 
enum  SectionMethodCircleTangentType { SectionMethodCircleTangentTypeFilletArc, SectionMethodCircleTangentTypeCoverArc }
 Section method Circle Tangent type. More...
 
enum  SectionMethodFilletBridgeType { SectionMethodFilletBridgeTypeContinuity, SectionMethodFilletBridgeTypeInheritShape }
 Section method Fillet Bridge type. More...
 
enum  SectionMethodRhoType { SectionMethodRhoTypeRho, SectionMethodRhoTypeLeastTension }
 Section method Rho type. More...
 
enum  SlopeControlType { SlopeControlTypeByApex, SlopeControlTypeByCurves, SlopeControlTypeByFaces }
 Slope Control type. More...
 
enum  Spine { SpineByVector, SpineByCurve }
 Spine type. More...
 
enum  SpineEndFlowType { SpineEndFlowTypeNotSpecified, SpineEndFlowTypePerpendicular, SpineEndFlowTypeIsoLineU, SpineEndFlowTypeIsoLineV }
 Spine End Flow type. More...
 
enum  SpineStartFlowType { SpineStartFlowTypeNotSpecified, SpineStartFlowTypePerpendicular, SpineStartFlowTypeIsoLineU, SpineStartFlowTypeIsoLineV }
 Spine Start Flow type. More...
 
enum  Types { TypesConic, TypesCircular, TypesCubic, TypesLinear }
 This enum represents the current types of section surface methods. More...
 
enum  UDegreeType { UDegreeTypeConic, UDegreeTypeCubic, UDegreeTypeQuintic }
 Surface Degree type. More...
 

Public Member Functions

int AlternateSolutions ()
 Returns the alternate method. More...
 
NXOpen::GeometricUtilities::LawBuilderAngleLaw ()
 Returns the angle law. More...
 
NXOpen::SectionApexCurve ()
 Returns the apex curve. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::BodyType BodyTypePreference ()
 Returns the body preference type. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::CircularType CircularTypeMode ()
 Returns the circular type mode. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::ConicType ConicTypeMode ()
 Returns the conic type mode. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::ControlRegionType ControlRegion ()
 Returns the control region. More...
 
bool CreateApexCurve ()
 Returns whether an apex curve should be created. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::CubicType CubicTypeMode ()
 Returns the cubic type mode. More...
 
NXOpen::GeometricUtilities::ContinuityEndContinuity ()
 Returns the end continuity. More...
 
NXOpen::GeometricUtilities::DepthSkewBuilderEndDepthSkew ()
 Returns the end depth skew. More...
 
bool EndDirection ()
 Returns the end direction. More...
 
NXOpen::ScCollectorEndFace ()
 Returns the end face. More...
 
NXOpen::SectionEndHighlightCurve ()
 Returns the end highlight curve. More...
 
NXOpen::SectionEndShapeCurve ()
 Returns the end shape curve. More...
 
NXOpen::SectionEndSlopeCurve ()
 Returns the end slope curve. More...
 
NXOpen::GeometricUtilities::DepthSkewBuilderEntireDepthSkew ()
 Returns the entire depth skew. More...
 
double G0Tolerance ()
 Returns the g0 tolerance. More...
 
double G1Tolerance ()
 Returns the g1 tolerance. More...
 
double G2Tolerance ()
 Returns the g2 tolerance. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::LinearType LinearTypeMode ()
 Returns the linear type mode. More...
 
NXOpen::GeometricUtilities::LawBuilderRadiusLaw ()
 Returns the radius law. More...
 
NXOpen::GeometricUtilities::RebuildRebuild ()
 Returns the rebuild. More...
 
NXOpen::GeometricUtilities::LawBuilderRhoLaw ()
 Returns the rho law. More...
 
NXOpen::SectionSectionEndGuide ()
 Returns the section end guide. More...
 
NXOpen::SectionSectionInteriorGuide1 ()
 Returns the interior guide1. More...
 
NXOpen::SectionSectionInteriorGuide2 ()
 Returns the section interior guide2. More...
 
NXOpen::SectionSectionInteriorGuide3 ()
 Returns the section interior guide3. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangentType SectionMethodCircleTangent ()
 Returns the section method circle tangent. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridgeType SectionMethodFilletBridge ()
 Returns the section method fillet bridge. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRhoType SectionMethodRho ()
 Returns the section method rho. More...
 
NXOpen::SectionSectionOrientationGuide ()
 Returns the section orientation guide. More...
 
NXOpen::SectionSectionStartGuide ()
 Returns the section start guide. More...
 
void SetAlternateSolutions (int alternateSolutions)
 Sets the alternate method. More...
 
void SetBodyTypePreference (NXOpen::Features::SectionSurfaceBuilderEx::BodyType type)
 Sets the body preference type. More...
 
void SetCircularTypeMode (NXOpen::Features::SectionSurfaceBuilderEx::CircularType circularTypeMode)
 Sets the circular type mode. More...
 
void SetConicTypeMode (NXOpen::Features::SectionSurfaceBuilderEx::ConicType conicTypeMode)
 Sets the conic type mode. More...
 
void SetControlRegion (NXOpen::Features::SectionSurfaceBuilderEx::ControlRegionType controlRegion)
 Sets the control region. More...
 
void SetCreateApexCurve (bool createApexCurve)
 Sets whether an apex curve should be created. More...
 
void SetCubicTypeMode (NXOpen::Features::SectionSurfaceBuilderEx::CubicType cubicTypeMode)
 Sets the cubic type mode. More...
 
void SetEndDirection (bool endDirection)
 Sets the end direction. More...
 
void SetG0Tolerance (double g0Tolerance)
 Sets the g0 tolerance. More...
 
void SetG1Tolerance (double g1Tolerance)
 Sets the g1 tolerance. More...
 
void SetG2Tolerance (double g2Tolerance)
 Sets the g2 tolerance. More...
 
void SetHelpPointSupports (const std::vector< NXOpen::NXObject * > &supports, const std::vector< bool > &supportSenses)
 For multiple solution case, set support where the help parameters locate to indicate which solution should be kept. More...
 
void SetLinearTypeMode (NXOpen::Features::SectionSurfaceBuilderEx::LinearType linearTypeMode)
 Sets the linear type mode. More...
 
void SetSectionMethodCircleTangent (NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangentType sectionMethodCircleTangent)
 Sets the section method circle tangent. More...
 
void SetSectionMethodFilletBridge (NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridgeType sectionMethodFilletBridge)
 Sets the section method fillet bridge. More...
 
void SetSectionMethodRho (NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRhoType sectionMethodRho)
 Sets the section method rho. More...
 
void SetSlopeControl (NXOpen::Features::SectionSurfaceBuilderEx::SlopeControlType slopeControl)
 Sets the slope control. More...
 
void SetSolutionHelpParams (const std::vector< double > &params)
 For multiple solution case,set help point parameters to indicate which solution should be kept. More...
 
void SetSolutionHelpPositions (const std::vector< NXOpen::Point3d > &points)
 For multiple solution case, set help point positions to indicate which solution should be kept. More...
 
void SetSpineEndFlowDirection (NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowType spineEndFlowDirection)
 Sets the spine end flow direction. More...
 
void SetSpineStartFlowDirection (NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowType spineStartFlowDirection)
 Sets the spine start flow direction. More...
 
void SetSpineType (NXOpen::Features::SectionSurfaceBuilderEx::Spine spineType)
 Sets the spine. More...
 
void SetSpineVector (NXOpen::Direction *spineVector)
 Sets the spine vector. More...
 
void SetSplitAlongGuide (bool splitAlongGuide)
 Sets whether the section surface should be segmented based on the input strings and constraint faces to create a multi-segment surface output. More...
 
void SetStartDirection (bool startDirection)
 Sets the start direction. More...
 
void SetType (NXOpen::Features::SectionSurfaceBuilderEx::Types type)
 Sets the type. More...
 
void SetUDegree (NXOpen::Features::SectionSurfaceBuilderEx::UDegreeType uDegree)
 Sets the u degree. More...
 
NXOpen::SectionShoulderCurve ()
 Returns the shoulder curve. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::SlopeControlType SlopeControl ()
 Returns the slope control. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowType SpineEndFlowDirection ()
 Returns the spine end flow direction. More...
 
NXOpen::SectionSpineSection ()
 Returns the spine section. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowType SpineStartFlowDirection ()
 Returns the spine start flow direction. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::Spine SpineType ()
 Returns the spine. More...
 
NXOpen::DirectionSpineVector ()
 Returns the spine vector. More...
 
bool SplitAlongGuide ()
 Returns whether the section surface should be segmented based on the input strings and constraint faces to create a multi-segment surface output. More...
 
NXOpen::GeometricUtilities::ContinuityStartContinuity ()
 Returns the start continuity. More...
 
NXOpen::GeometricUtilities::DepthSkewBuilderStartDepthSkew ()
 Returns the start depth skew. More...
 
bool StartDirection ()
 Returns the start direction. More...
 
NXOpen::ScCollectorStartFace ()
 Returns the start face. More...
 
NXOpen::SectionStartHighlightCurve ()
 Returns the start highlight curve. More...
 
NXOpen::SectionStartShapeCurve ()
 Returns the start shape curve. More...
 
NXOpen::SectionStartSlopeCurve ()
 Returns the start slope curve. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::Types Type ()
 Returns the type. More...
 
NXOpen::Features::SectionSurfaceBuilderEx::UDegreeType UDegree ()
 Returns the u degree. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::SectionSurface builder.

Use NXOpen::Features::SectionSurfaceBuilderEx to create section surface. For more details see the NX documentation for Section Surface.
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateSectionSurfaceBuilderEx
Default values.

Property Value

AngleLaw.EndValue.Value

1

AngleLaw.Function

ft

AngleLaw.LawType

Constant

AngleLaw.Parameter

t

AngleLaw.StartValue.Value

1

AngleLaw.Value.Value

0.0

CircularTypeMode

ThreePoint

ConicTypeMode

Shoulder

ControlRegion

Entire

CubicTypeMode

TwoSlopes

EndContinuity.ContinuityType

G1

RadiusLaw.EndValue.Value

1.0 (millimeters part), 0.05 (inches part)

RadiusLaw.StartValue.Value

1.0 (millimeters part), 0.05 (inches part)

RadiusLaw.Value.Value

1.0 (millimeters part), 0.05 (inches part)

RhoLaw.EndValue.Value

0.5

RhoLaw.StartValue.Value

0.5

RhoLaw.Value.Value

0.5

SectionMethodCircleTangent

FilletArc

SectionMethodFilletBridge

Continuity

SectionMethodRho

Rho

SlopeControl

ByApex

SpineEndFlowDirection

NotSpecified

SpineStartFlowDirection

NotSpecified

SpineType

ByVector

StartContinuity.ContinuityType

G1


Created in NX9.0.0.

Member Enumeration Documentation

Body Preference type.

Enumerator
BodyTypeSolid 

solid type

BodyTypeSheet 

sheet type

This enum represents the current modes of circular type section surfaces.

Enumerator
CircularTypeThreePoint 

Three Point mode.

CircularTypeTwoPointRadius 

Two Point Radius mode.

CircularTypeTwoPointSlope 

Two Point Slope mode.

CircularTypeRadiusAngleArc 

Radius Angle Arc mode.

CircularTypeTangentpointTangent 

Tangentpoint Tangent mode.

CircularTypeCenterRadius 

Center Radius mode.

CircularTypeCenterPoint 

Center Point mode.

CircularTypeCenterTangent 

Center Tangent mode.

CircularTypeTangentRadius 

Tangent Radius mode.

CircularTypeTangentTangentRadius 

Tangent Tangent Radius mode.

This enum represents the current modes of conic type section surfaces.

Enumerator
ConicTypeShoulder 

Shoulder mode.

ConicTypeRho 

Rho mode.

ConicTypeHilite 

Hilite mode.

ConicTypeFourPointSlope 

Four Point Slope mode.

ConicTypeFivePoint 

Five Point mode.

Control Region type.

Enumerator
ControlRegionTypeEntire 

depth and skew applied to the entire section surface

ControlRegionTypeStart 

depth and skew applied to the start section of the section surface

ControlRegionTypeEnd 

depth and skew applied to the end section of the section surface

This enum represents the current modes of cubic type section surfaces.

Enumerator
CubicTypeTwoSlopes 

Two Slopes mode.

CubicTypeFilletBridge 

Fillet Bridge mode.

This enum represents the current modes of linear type section surfaces.

Enumerator
LinearTypePointAngle 

Point Angle mode.

LinearTypeTangentTangent 

Tangent Tangent mode.

Section method Circle Tangent type.

Enumerator
SectionMethodCircleTangentTypeFilletArc 

fillet arc

SectionMethodCircleTangentTypeCoverArc 

cover arc

Section method Fillet Bridge type.

Enumerator
SectionMethodFilletBridgeTypeContinuity 

continuity options

SectionMethodFilletBridgeTypeInheritShape 

inherit shape option

Section method Rho type.

Enumerator
SectionMethodRhoTypeRho 

rho law method

SectionMethodRhoTypeLeastTension 

least tension method

Slope Control type.

Enumerator
SlopeControlTypeByApex 

slope control by apex

SlopeControlTypeByCurves 

slope control by curves

SlopeControlTypeByFaces 

slope control by faces

Spine type.

Enumerator
SpineByVector 

spine by vector

SpineByCurve 

spine by curve

Spine End Flow type.

Enumerator
SpineEndFlowTypeNotSpecified 

flow direction not specified

SpineEndFlowTypePerpendicular 

flow direction perpendicular to the guide

SpineEndFlowTypeIsoLineU 

flow direction follows iso u of the start surface

SpineEndFlowTypeIsoLineV 

flow direction follows iso v of the start surface

Spine Start Flow type.

Enumerator
SpineStartFlowTypeNotSpecified 

flow direction not specified

SpineStartFlowTypePerpendicular 

flow direction perpendicular to the guide

SpineStartFlowTypeIsoLineU 

flow direction follows iso u of the start surface

SpineStartFlowTypeIsoLineV 

flow direction follows iso v of the start surface

This enum represents the current types of section surface methods.

Enumerator
TypesConic 

Conic type.

TypesCircular 

Circular type.

TypesCubic 

Cubic type.

TypesLinear 

Linear type.

Surface Degree type.

Enumerator
UDegreeTypeConic 

conic in u

UDegreeTypeCubic 

cubic in u

UDegreeTypeQuintic 

quintic in u

Member Function Documentation

int NXOpen::Features::SectionSurfaceBuilderEx::AlternateSolutions ( )

Returns the alternate method.

This api only applies to the follow section surface methods, circle_tangent and linear-tangent
Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilderEx::AngleLaw ( )

Returns the angle law.


Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::ApexCurve ( )

Returns the apex curve.

Only applies to the follow section surface types: NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeShoulder , NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeRho , and NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeHilite
Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::BodyType NXOpen::Features::SectionSurfaceBuilderEx::BodyTypePreference ( )

Returns the body preference type.


Created in NX10.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::CircularType NXOpen::Features::SectionSurfaceBuilderEx::CircularTypeMode ( )

Returns the circular type mode.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::ConicType NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeMode ( )

Returns the conic type mode.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::ControlRegionType NXOpen::Features::SectionSurfaceBuilderEx::ControlRegion ( )

Returns the control region.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::SectionSurfaceBuilderEx::CreateApexCurve ( )

Returns whether an apex curve should be created.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::CubicType NXOpen::Features::SectionSurfaceBuilderEx::CubicTypeMode ( )

Returns the cubic type mode.


Created in NX9.0.0.

License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SectionSurfaceBuilderEx::EndContinuity ( )

Returns the end continuity.


Created in NX9.0.0.

License requirements : None

NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilderEx::EndDepthSkew ( )

Returns the end depth skew.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::SectionSurfaceBuilderEx::EndDirection ( )

Returns the end direction.


Created in NX9.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::SectionSurfaceBuilderEx::EndFace ( )
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::EndHighlightCurve ( )

Returns the end highlight curve.

Only applies to the follow section surface type: NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeHilite
Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::EndShapeCurve ( )

Returns the end shape curve.


Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::EndSlopeCurve ( )
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilderEx::EntireDepthSkew ( )

Returns the entire depth skew.


Created in NX9.0.0.

License requirements : None

double NXOpen::Features::SectionSurfaceBuilderEx::G0Tolerance ( )

Returns the g0 tolerance.


Created in NX9.0.0.

License requirements : None

double NXOpen::Features::SectionSurfaceBuilderEx::G1Tolerance ( )

Returns the g1 tolerance.


Created in NX9.0.0.

License requirements : None

double NXOpen::Features::SectionSurfaceBuilderEx::G2Tolerance ( )

Returns the g2 tolerance.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::LinearType NXOpen::Features::SectionSurfaceBuilderEx::LinearTypeMode ( )

Returns the linear type mode.


Created in NX11.0.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilderEx::RadiusLaw ( )

Returns the radius law.


Created in NX9.0.0.

License requirements : None

NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::SectionSurfaceBuilderEx::Rebuild ( )

Returns the rebuild.


Created in NX9.0.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::SectionSurfaceBuilderEx::RhoLaw ( )

Returns the rho law.


Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionEndGuide ( )

Returns the section end guide.


Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionInteriorGuide1 ( )

Returns the interior guide1.

Only applies to the follow section surface types: NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope , NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeFivePoint , and NXOpen::Features::SectionSurfaceBuilderEx::CircularTypeThreePoint
Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionInteriorGuide2 ( )

Returns the section interior guide2.

Only applies to the follow section surface types: NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope and NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeFivePoint
Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionInteriorGuide3 ( )

Returns the section interior guide3.

Only applies to the follow section surface types: NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeFourPointSlope and NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeFivePoint
Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangentType NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangent ( )

Returns the section method circle tangent.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridgeType NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridge ( )

Returns the section method fillet bridge.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRhoType NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRho ( )

Returns the section method rho.


Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionOrientationGuide ( )

Returns the section orientation guide.

Only applies to the follow section surface types: NXOpen::Features::SectionSurfaceBuilderEx::CircularTypeCenterRadius
Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SectionStartGuide ( )

Returns the section start guide.


Created in NX9.0.0.

License requirements : None

void NXOpen::Features::SectionSurfaceBuilderEx::SetAlternateSolutions ( int  alternateSolutions)

Sets the alternate method.

This api only applies to the follow section surface methods, circle_tangent and linear-tangent
Created in NX9.0.0.

License requirements : None

Parameters
alternateSolutionsalternatesolutions
void NXOpen::Features::SectionSurfaceBuilderEx::SetBodyTypePreference ( NXOpen::Features::SectionSurfaceBuilderEx::BodyType  type)

Sets the body preference type.


Created in NX10.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
typetype
void NXOpen::Features::SectionSurfaceBuilderEx::SetCircularTypeMode ( NXOpen::Features::SectionSurfaceBuilderEx::CircularType  circularTypeMode)

Sets the circular type mode.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
circularTypeModecirculartypemode
void NXOpen::Features::SectionSurfaceBuilderEx::SetConicTypeMode ( NXOpen::Features::SectionSurfaceBuilderEx::ConicType  conicTypeMode)

Sets the conic type mode.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
conicTypeModeconictypemode
void NXOpen::Features::SectionSurfaceBuilderEx::SetControlRegion ( NXOpen::Features::SectionSurfaceBuilderEx::ControlRegionType  controlRegion)

Sets the control region.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
controlRegioncontrolregion
void NXOpen::Features::SectionSurfaceBuilderEx::SetCreateApexCurve ( bool  createApexCurve)

Sets whether an apex curve should be created.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
createApexCurvecreateapexcurve
void NXOpen::Features::SectionSurfaceBuilderEx::SetCubicTypeMode ( NXOpen::Features::SectionSurfaceBuilderEx::CubicType  cubicTypeMode)

Sets the cubic type mode.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
cubicTypeModecubictypemode
void NXOpen::Features::SectionSurfaceBuilderEx::SetEndDirection ( bool  endDirection)

Sets the end direction.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
endDirectionenddirection
void NXOpen::Features::SectionSurfaceBuilderEx::SetG0Tolerance ( double  g0Tolerance)

Sets the g0 tolerance.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
g0Toleranceg0tolerance
void NXOpen::Features::SectionSurfaceBuilderEx::SetG1Tolerance ( double  g1Tolerance)

Sets the g1 tolerance.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
g1Toleranceg1tolerance
void NXOpen::Features::SectionSurfaceBuilderEx::SetG2Tolerance ( double  g2Tolerance)

Sets the g2 tolerance.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
g2Toleranceg2tolerance
void NXOpen::Features::SectionSurfaceBuilderEx::SetHelpPointSupports ( const std::vector< NXOpen::NXObject * > &  supports,
const std::vector< bool > &  supportSenses 
)

For multiple solution case, set support where the help parameters locate to indicate which solution should be kept.


Created in NX11.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
supportssupports
supportSensessupportsenses
void NXOpen::Features::SectionSurfaceBuilderEx::SetLinearTypeMode ( NXOpen::Features::SectionSurfaceBuilderEx::LinearType  linearTypeMode)

Sets the linear type mode.


Created in NX11.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
linearTypeModelineartypemode
void NXOpen::Features::SectionSurfaceBuilderEx::SetSectionMethodCircleTangent ( NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodCircleTangentType  sectionMethodCircleTangent)

Sets the section method circle tangent.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
sectionMethodCircleTangentsectionmethodcircletangent
void NXOpen::Features::SectionSurfaceBuilderEx::SetSectionMethodFilletBridge ( NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodFilletBridgeType  sectionMethodFilletBridge)

Sets the section method fillet bridge.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
sectionMethodFilletBridgesectionmethodfilletbridge
void NXOpen::Features::SectionSurfaceBuilderEx::SetSectionMethodRho ( NXOpen::Features::SectionSurfaceBuilderEx::SectionMethodRhoType  sectionMethodRho)

Sets the section method rho.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
sectionMethodRhosectionmethodrho
void NXOpen::Features::SectionSurfaceBuilderEx::SetSlopeControl ( NXOpen::Features::SectionSurfaceBuilderEx::SlopeControlType  slopeControl)

Sets the slope control.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
slopeControlslopecontrol
void NXOpen::Features::SectionSurfaceBuilderEx::SetSolutionHelpParams ( const std::vector< double > &  params)

For multiple solution case,set help point parameters to indicate which solution should be kept.


Created in NX11.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
paramsparams
void NXOpen::Features::SectionSurfaceBuilderEx::SetSolutionHelpPositions ( const std::vector< NXOpen::Point3d > &  points)

For multiple solution case, set help point positions to indicate which solution should be kept.


Created in NX11.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
pointspoints
void NXOpen::Features::SectionSurfaceBuilderEx::SetSpineEndFlowDirection ( NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowType  spineEndFlowDirection)

Sets the spine end flow direction.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
spineEndFlowDirectionspineendflowdirection
void NXOpen::Features::SectionSurfaceBuilderEx::SetSpineStartFlowDirection ( NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowType  spineStartFlowDirection)

Sets the spine start flow direction.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
spineStartFlowDirectionspinestartflowdirection
void NXOpen::Features::SectionSurfaceBuilderEx::SetSpineType ( NXOpen::Features::SectionSurfaceBuilderEx::Spine  spineType)

Sets the spine.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
spineTypespinetype
void NXOpen::Features::SectionSurfaceBuilderEx::SetSpineVector ( NXOpen::Direction spineVector)

Sets the spine vector.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
spineVectorspinevector
void NXOpen::Features::SectionSurfaceBuilderEx::SetSplitAlongGuide ( bool  splitAlongGuide)

Sets whether the section surface should be segmented based on the input strings and constraint faces to create a multi-segment surface output.

Allow you to keep sharp edges, overriding the default of approximating the output surface.
Created in NX11.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
splitAlongGuidesplitalongguide
void NXOpen::Features::SectionSurfaceBuilderEx::SetStartDirection ( bool  startDirection)

Sets the start direction.

Only applies to the follow section surface types: NXOpen::Features::SectionSurfaceBuilderEx::CircularTypeRadiusAngleArc and NXOpen::Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge
Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
startDirectionstartdirection
void NXOpen::Features::SectionSurfaceBuilderEx::SetType ( NXOpen::Features::SectionSurfaceBuilderEx::Types  type)

Sets the type.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
typetype
void NXOpen::Features::SectionSurfaceBuilderEx::SetUDegree ( NXOpen::Features::SectionSurfaceBuilderEx::UDegreeType  uDegree)

Sets the u degree.


Created in NX9.0.0.

License requirements : nx_freeform_2 ("advanced freeform modeling")

Parameters
uDegreeudegree
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::ShoulderCurve ( )

Returns the shoulder curve.

Only applies to the follow section surface types: NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeShoulder
Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::SlopeControlType NXOpen::Features::SectionSurfaceBuilderEx::SlopeControl ( )

Returns the slope control.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowType NXOpen::Features::SectionSurfaceBuilderEx::SpineEndFlowDirection ( )

Returns the spine end flow direction.


Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::SpineSection ( )

Returns the spine section.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowType NXOpen::Features::SectionSurfaceBuilderEx::SpineStartFlowDirection ( )

Returns the spine start flow direction.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::Spine NXOpen::Features::SectionSurfaceBuilderEx::SpineType ( )

Returns the spine.


Created in NX9.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::SectionSurfaceBuilderEx::SpineVector ( )

Returns the spine vector.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::SectionSurfaceBuilderEx::SplitAlongGuide ( )

Returns whether the section surface should be segmented based on the input strings and constraint faces to create a multi-segment surface output.

Allow you to keep sharp edges, overriding the default of approximating the output surface.
Created in NX11.0.0.

License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::SectionSurfaceBuilderEx::StartContinuity ( )

Returns the start continuity.


Created in NX9.0.0.

License requirements : None

NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::SectionSurfaceBuilderEx::StartDepthSkew ( )

Returns the start depth skew.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Features::SectionSurfaceBuilderEx::StartDirection ( )

Returns the start direction.

Only applies to the follow section surface types: NXOpen::Features::SectionSurfaceBuilderEx::CircularTypeRadiusAngleArc and NXOpen::Features::SectionSurfaceBuilderEx::CubicTypeFilletBridge
Created in NX9.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::SectionSurfaceBuilderEx::StartFace ( )
NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::StartHighlightCurve ( )

Returns the start highlight curve.

Only applies to the follow section surface type: NXOpen::Features::SectionSurfaceBuilderEx::ConicTypeHilite
Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::StartShapeCurve ( )

Returns the start shape curve.


Created in NX9.0.0.

License requirements : None

NXOpen::Section* NXOpen::Features::SectionSurfaceBuilderEx::StartSlopeCurve ( )
NXOpen::Features::SectionSurfaceBuilderEx::Types NXOpen::Features::SectionSurfaceBuilderEx::Type ( )

Returns the type.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::SectionSurfaceBuilderEx::UDegreeType NXOpen::Features::SectionSurfaceBuilderEx::UDegree ( )

Returns the u degree.


Created in NX9.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.